<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가
/*
:: 지음빌더 ::
$list[$i][g4_thumb] => 그누보드의 첨부파일로 업로드한 이미지의 썸네일의 상대경로
$list[$i][se_thumb] => 스마트에디터로 업로드한 이미지의 썸네일 상대경로
*/
?>

<link rel="stylesheet" type="text/css" href="<?=$board_skin_path?>/style.css">
<!-- 게시판 목록 시작 -->
<div id="board_wrapper">
	<!-- 공지사항 -->
<? if($list[0][is_notice]) : ?>
<div class="notice_box">
<? for ($i = 0; $i < count($list); $i++) :
	if ($list[$i][is_notice]) :	 ?>
		<ul class="notice_list">
			<li class="n_ntc">NOTICE</li>
			<li class="n_sbj"><a href='<?=$list[$i][href]?>'><?=$list[$i][subject]?></a>
<?		if ($list[$i][comment_cnt]) : ?>
            <a href="<?=$list[$i][comment_href]?>"><span class='comment'><?=$list[$i][comment_cnt]?></span></a>
<?		endif; ?>
            <?=$list[$i][icon_new]?>
            <?=$list[$i][icon_file]?>
            <?=$list[$i][icon_link]?>
            <?=$nobr_end?></li>
			<li class="n_date"><span class='notice_date'><?=substr($list[$i][datetime2], 3, 5)?></span></li>
		</ul>
<?	endif;
endfor; ?>
</div>
<? endif; ?>

    <!-- 분류 셀렉트 박스, 게시물 몇건, 관리자화면 링크 -->
    <div class="board_top">
        <div style="float:left;">
            <form name="fcategory" method="get">
            <? if ($is_category) { ?>
            <select name=sca onchange="location='<?=$category_location?>'+<?=strtolower($g4[charset])=='utf-8' ? "encodeURIComponent(this.value)" : "this.value"?>;">
            <option value=''>전체</option>
            <?=$category_option?>
            </select>
            <? } ?>
            </form>
        </div>
        <div style="float:right;">
            <span style="color:#888888; font-size:11px;">total:<?=number_format($total_count)?></span>
            <? if ($rss_href) { ?><a href='<?=$rss_href?>'><img src='<?=$board_skin_path?>/img/btn_rss.gif' border='0' align="absmiddle"></a><?}?>
            <? if ($admin_href) { ?><a href="<?=$admin_href?>"><img src="<?=$board_skin_path?>/img/btn_admin.gif" border='0' title="관리자" align="absmiddle"></a><?}?>
        </div>
    </div>
    <!-- 제목 -->
    <form name="fboardlist" method="post">
    <input type='hidden' name='bo_table' value='<?=$bo_table?>'>
    <input type='hidden' name='sfl'  value='<?=$sfl?>'>
    <input type='hidden' name='stx'  value='<?=$stx?>'>
    <input type='hidden' name='spt'  value='<?=$spt?>'>
    <input type='hidden' name='page' value='<?=$page?>'>
    <input type='hidden' name='sw'   value=''>

    <div id="board_list">
<? for ($i = 0; $i < count($list); $i++) {
	$bg		= $i%2 ? 0 : 1;

	if ($list[$i][is_notice]) :
		//-- 공지사항 위로 올림
	else : ?>
		<div class="list_subject">
			<div class="wr_name"><?=$list[$i][name]?></div>
<?			echo $nobr_begin;
			echo "<div class='sbj'>";
            echo $list[$i][reply];
            echo $list[$i][icon_reply];
		if ($is_category && $list[$i][ca_name]) {
            echo "<span class='cate_name'><a href='{$list[$i][ca_name_href]}'>{$list[$i][ca_name]}</a></span><span class='cate_v'>|</span>";
        }
			echo "<a href='{$list[$i][href]}'>{$list[$i][subject]}</a>";

			echo "<span class='icons'>";
			echo " " . $list[$i][icon_new];
            echo " " . $list[$i][icon_file];
			if($list[$i][wr_mobile]) echo "<img src='$board_skin_path/img/icon_mobile.gif' valign='middle'> ";
            echo " " . $list[$i][icon_link];
            echo " " . $list[$i][icon_hot];
            echo " " . $list[$i][icon_secret];
			echo "</span>";
			echo "</div>";
            echo $nobr_end;
?>
		</div>
		<div class="list_info">
			<span><?=$list[$i][datetime2]?></span>
			<span>조회 <?=$list[$i][wr_hit]?></span>
			<span class="comment"><img src='<?=$board_skin_path?>/img/icon_comment.gif' valign="middle" onclick="zm_alert('<?=$list[$i][subject]?>')"> <?=$list[$i][comment_cnt]?></span>
		</div>
<?	endif; // notice
} // end for ?>

    <? if (count($list) == 0) { echo "<div>게시물이 없습니다.</div>"; } ?>

    </div>
    </form>

    <div class="board_button">
        <div style="float:left;">
        <? if ($list_href) { ?>
        <a href="<?=$list_href?>" class="bttn1">목록</a>
        <? } ?>
        <? if ($is_checkbox) { ?>
        <a href="javascript:select_delete();" class="bttn2">삭제</a>
        <a href="javascript:select_copy('copy');" class="bttn2">복사</a>
        <a href="javascript:select_copy('move');" class="bttn2">이동</a>
        <? } ?>
        </div>

        <div style="float:right;">
        <? if ($write_href) { ?><a href="<?=$write_href?>" class="bttn2">글쓰기</a><? } ?>
        </div>
    </div>

    <!-- 페이지 -->
    <div class="board_page">
        <? if ($prev_part_href) { echo "<a href='$prev_part_href'><img src='$board_skin_path/img/page_search_prev.gif' border='0' align=absmiddle title='이전검색'></a>"; } ?>
        <?
        // 기본으로 넘어오는 페이지를 아래와 같이 변환하여 이미지로도 출력할 수 있습니다.
        //echo $write_pages;
        $write_pages = str_replace("처음", "<img src='$board_skin_path/img/page_begin.gif' border='0' align='absmiddle' title='처음'>", $write_pages);
        $write_pages = str_replace("이전", "<img src='$board_skin_path/img/page_prev.gif' border='0' align='absmiddle' title='이전'>", $write_pages);
        $write_pages = str_replace("다음", "<img src='$board_skin_path/img/page_next.gif' border='0' align='absmiddle' title='다음'>", $write_pages);
        $write_pages = str_replace("맨끝", "<img src='$board_skin_path/img/page_end.gif' border='0' align='absmiddle' title='맨끝'>", $write_pages);
        //$write_pages = preg_replace("/<span>([0-9]*)<\/span>/", "$1", $write_pages);
        $write_pages = preg_replace("/<b>([0-9]*)<\/b>/", "<b><span style=\"color:#4D6185; font-size:12px; text-decoration:underline;\">$1</span></b>", $write_pages);
        ?>
        <?=$write_pages?>
        <? if ($next_part_href) { echo "<a href='$next_part_href'><img src='$board_skin_path/img/page_search_next.gif' border='0' align=absmiddle title='다음검색'></a>"; } ?>
    </div>

    <!-- 검색 -->
    <div class="board_search">
        <form name="fsearch" method="get">
        <input type="hidden" name="bo_table" value="<?=$bo_table?>">
        <input type="hidden" name="sca"      value="<?=$sca?>">
        <select name="sfl">
            <option value="wr_subject">제목</option>
            <option value="wr_content">내용</option>
            <option value="wr_subject||wr_content">제목+내용</option>
            <option value="mb_id,1">회원아이디</option>
            <option value="mb_id,0">회원아이디(코)</option>
            <option value="wr_name,1">글쓴이</option>
            <option value="wr_name,0">글쓴이(코)</option>
        </select>
        <input name="stx" class="stx" maxlength="15" size="10" itemname="검색어" required value='<?=stripslashes($stx)?>'>
        <input type="image" src="<?=$board_skin_path?>/img/btn_search.gif" border='0' align="absmiddle">
        </form>
    </div>

</div>

<script type="text/javascript">
if ('<?=$sca?>') document.fcategory.sca.value = '<?=$sca?>';
if ('<?=$stx?>') {
    document.fsearch.sfl.value = '<?=$sfl?>';

    if ('<?=$sop?>' == 'and')
        document.fsearch.sop[0].checked = true;

    if ('<?=$sop?>' == 'or')
        document.fsearch.sop[1].checked = true;
} else {
    document.fsearch.sop[0].checked = true;
}
</script>

<? if ($is_checkbox) { ?>
<script type="text/javascript">
function all_checked(sw) {
    var f = document.fboardlist;

    for (var i=0; i<f.length; i++) {
        if (f.elements[i].name == "chk_wr_id[]")
            f.elements[i].checked = sw;
    }
}

function check_confirm(str) {
    var f = document.fboardlist;
    var chk_count = 0;

    for (var i=0; i<f.length; i++) {
        if (f.elements[i].name == "chk_wr_id[]" && f.elements[i].checked)
            chk_count++;
    }

    if (!chk_count) {
        alert(str + "할 게시물을 하나 이상 선택하세요.");
        return false;
    }
    return true;
}

// 선택한 게시물 삭제
function select_delete() {
    var f = document.fboardlist;

    str = "삭제";
    if (!check_confirm(str))
        return;

    if (!confirm("선택한 게시물을 정말 "+str+" 하시겠습니까?\n\n한번 "+str+"한 자료는 복구할 수 없습니다"))
        return;

    f.action = "./delete_all.php";
    f.submit();
}

// 선택한 게시물 복사 및 이동
function select_copy(sw) {
    var f = document.fboardlist;

    if (sw == "copy")
        str = "복사";
    else
        str = "이동";

    if (!check_confirm(str))
        return;

    var sub_win = window.open("", "move", "left=50, top=50, width=500, height=550, scrollbars=1");

    f.sw.value = sw;
    f.target = "move";
    f.action = "./move.php";
    f.submit();
}
</script>
<? } ?>
<!-- 게시판 목록 끝 -->